@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap");
* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  text-decoration: none;
  font-family: "Jost", sans-serif;
  scroll-behavior: smooth;
}

html {
  font-size: 10px;
}

body {
  background: #F4F4F4;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
  color: #000;
  font-family: "Jost", sans-serif;
}

h1, h2, h3 {
  font-family: "Jost", sans-serif;
}

.row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: baseline;
      -ms-flex-align: baseline;
          align-items: baseline;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.swal2-popup {
  font-size: 15px;
}

header {
  width: 100%;
  position: fixed;
  z-index: 3;
  top: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  padding: 1.5rem 10rem;
  background-color: transparent;
  /* Původní barva pozadí */
  -webkit-transition: background-color 0.3s;
  transition: background-color 0.3s;
}

header .logo {
  width: 20rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

header .logo img {
  width: 100%;
  height: 100%;
}

header nav ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
}

header nav ul li {
  display: block;
  margin: 0.5rem 2rem;
  -webkit-transition: ease 0.3s all;
  transition: ease 0.3s all;
}

header nav ul li:hover {
  -webkit-transform: scale(1.1);
          transform: scale(1.1);
  color: #08484A;
}

header nav ul li a {
  font-size: 2.5rem;
  text-transform: uppercase;
  color: white;
  font-weight: 300;
}

#toggle {
  display: none;
}

.scrolled {
  background-color: #1c1a1b;
}

main {
  width: 100%;
  height: 100vh;
  overflow: hidden;
  position: relative;
}

main .swiper {
  width: 100%;
  height: 100%;
  position: absolute;
}

main .swiper .swiper-slide {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  background-size: cover;
  background-position: center;
  overflow: hidden;
}

main .swiper .swiper-slide::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  z-index: 1;
}

main .swiper .swiper-slide .swiper-slide-background {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  -webkit-animation: zoom 8s infinite alternate;
          animation: zoom 8s infinite alternate;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

main .main-content {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 2;
  padding: 10rem;
  padding-bottom: 5rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: end;
}

main .main-content .main-prolog {
  margin-bottom: 8rem;
}

main .main-content .main-prolog h1 {
  color: #ffffff;
  font-size: 5rem;
  padding-bottom: 3rem;
}

main .main-content .main-prolog .btn {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  text-transform: uppercase;
  font-size: 2rem;
  padding: 0.6rem 0;
  border-bottom: 1px solid #ffffff;
  color: #ffffff;
  -webkit-transition: ease 0.3s all;
  transition: ease 0.3s all;
  font-weight: 400;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

main .main-content .main-prolog .btn img {
  margin-right: 1rem;
  width: 2rem;
}

main .main-content .main-prolog .btn:hover {
  -webkit-transform: scale(1.05);
          transform: scale(1.05);
}

main .main-content .main-contact {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: end;
}

main .main-content .main-contact .contact {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin: 1rem;
}

main .main-content .main-contact .contact .icon {
  border-radius: 50%;
  width: 5rem;
  height: 5rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-right: 1rem;
  border: 2px solid #ffffff;
}

main .main-content .main-contact .contact .icon svg {
  width: 2.2rem;
  height: 2.2rem;
  fill: #ffffff;
}

main .main-content .main-contact .contact p {
  font-size: 2rem;
  color: #ffffff;
  margin-top: 1rem;
}

@-webkit-keyframes zoom {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  100% {
    -webkit-transform: scale(1.15);
            transform: scale(1.15);
  }
}

@keyframes zoom {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  100% {
    -webkit-transform: scale(1.15);
            transform: scale(1.15);
  }
}

#about {
  padding: 5rem 10rem;
}

#about .about-text {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  max-width: 70%;
  margin: 0 auto;
}

#about .about-text h3 {
  font-size: 3rem;
  color: #08484A;
  text-transform: uppercase;
  margin-bottom: 3rem;
  text-align: center;
}

#about .about-text h2 {
  font-size: 4rem;
  margin-bottom: 2rem;
  font-weight: bold;
  text-align: center;
}

#about .about-text p {
  font-size: 2rem;
  text-align: center;
  margin-bottom: 3rem;
}

#about .about-steps {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: baseline;
      -ms-flex-align: baseline;
          align-items: baseline;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

#about .about-steps .step {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  text-align: center;
  max-width: 40rem;
  margin: 5rem;
}

#about .about-steps .step .step-img {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  width: 18rem;
  height: 18rem;
  background: #ffffff;
  -webkit-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2), 0 6px 20px rgba(0, 0, 0, 0.19);
          box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2), 0 6px 20px rgba(0, 0, 0, 0.19);
  /* Druhý stín pro větší hloubku */
  border-radius: 10px;
  padding: 2rem;
}

#about .about-steps .step .step-img img {
  width: 12rem;
  height: 12rem;
}

#about .about-steps .step h3 {
  margin-top: 2rem;
  font-size: 3rem;
}

#about .about-steps .step p {
  font-size: 2rem;
  margin-top: 1rem;
}

#services {
  width: 100%;
  padding: 5rem 10rem;
  padding-top: 0;
}

#services h2 {
  font-size: 4rem;
  margin-bottom: 2rem;
  font-weight: bold;
  text-align: start;
}

#services p {
  font-size: 2rem;
  margin-bottom: 3rem;
}

#services .service-boxes {
  width: 100%;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: (minmax(30rem, 1fr))[auto-fit];
      grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  -ms-grid-rows: auto;
      grid-template-rows: auto;
  gap: 5rem;
}

#services .service-boxes .service-box {
  width: 100%;
  padding: 2rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  border-radius: 10px;
  background-color: #ffffff;
  -webkit-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2), 0 6px 20px rgba(0, 0, 0, 0.19);
          box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2), 0 6px 20px rgba(0, 0, 0, 0.19);
  /* Druhý stín pro větší hloubku */
}

#services .service-boxes .service-box .service-icon {
  margin-bottom: 1rem;
}

#services .service-boxes .service-box .service-icon img {
  width: 8rem;
  height: 8rem;
}

#services .service-boxes .service-box .service-text h3 {
  font-size: 2.5rem;
}

#services .service-boxes .service-box .service-text p {
  font-size: 2rem;
  margin-bottom: 0;
}

#references {
  padding: 5rem 10rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

#references .reference-text {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  max-width: 70%;
  margin: 0 auto;
}

#references .reference-text h2 {
  font-size: 4rem;
  margin-bottom: 2rem;
  font-weight: bold;
  text-align: center;
}

#references .reference-text p {
  font-size: 2rem;
  text-align: center;
  margin-bottom: 3rem;
}

#references .reference-text p a {
  font-weight: bold;
}

#references .refrence-gallery {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 1fr 1fr 1fr;
      grid-template-columns: 1fr 1fr 1fr 1fr;
  grid: 5rem;
}

#references .refrence-gallery a {
  margin: 2rem;
}

#references .refrence-gallery a img {
  width: 100%;
  height: 100%;
  height: inherit;
  aspect-ratio: 1;
  -o-object-fit: cover;
     object-fit: cover;
}

#references .btn {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin: 1.5rem;
  padding: 0.8rem 3rem;
  font-size: 2rem;
  cursor: pointer;
  background: #08484A;
  color: #ffffff;
  text-transform: uppercase;
  -webkit-transition: ease 0.3s all;
  transition: ease 0.3s all;
}

#references .btn:hover {
  -webkit-transform: scale(1.05);
          transform: scale(1.05);
}

#contact {
  padding: 5rem 10rem;
  padding-top: 0;
}

#contact .contact-form {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  background: #ffffff;
  -webkit-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2), 0 6px 20px rgba(0, 0, 0, 0.19);
          box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2), 0 6px 20px rgba(0, 0, 0, 0.19);
}

#contact .contact-form form {
  width: 100%;
  padding: 3rem;
  -ms-flex-preferred-size: 65%;
      flex-basis: 65%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}

#contact .contact-form form h2 {
  font-size: 4rem;
  margin: 1.5rem;
}

#contact .contact-form form .row {
  width: 100%;
}

#contact .contact-form form input {
  width: 50%;
  margin: 1.5rem;
  padding: 0.5rem;
  font-size: 2rem;
  border: none;
  border-bottom: 2px solid #969696;
  outline: none;
}

#contact .contact-form form .antispam {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}

#contact .contact-form form .antispam label {
  font-size: 2rem;
  margin: 0 1.5rem;
}

#contact .contact-form form .antispam input {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-top: 0;
}

#contact .contact-form form input[type=submit] {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin: 1.5rem;
  padding: 0.8rem 6rem;
  font-size: 2rem;
  border: none;
  outline: none;
  cursor: pointer;
  background: #08484A;
  color: #ffffff;
  text-transform: uppercase;
  -webkit-transition: ease 0.3s all;
  transition: ease 0.3s all;
  -ms-flex-item-align: end;
      -ms-grid-row-align: end;
      align-self: end;
}

#contact .contact-form form input[type=submit]:hover {
  -webkit-transform: scale(1.05);
          transform: scale(1.05);
}

#contact .contact-form form textarea {
  width: 100%;
  height: 20rem;
  margin: 1.5rem;
  padding: 0.5rem;
  font-size: 2rem;
  border: none;
  border: 2px solid #969696;
  outline: none;
}

#contact .contact-form .contact-info {
  -ms-flex-preferred-size: 35%;
      flex-basis: 35%;
}

#contact .contact-info {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}

#contact .contact-info .contact-details {
  background: #08484A;
  color: #ffffff;
  padding: 3rem;
}

#contact .contact-info .contact-details .detail {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  font-size: 2rem;
  margin: 2rem 0rem;
}

#contact .contact-info .contact-details .detail svg {
  fill: #ffffff;
  width: 3.5rem;
  height: 3.5rem;
  margin-right: 2rem;
}

#contact .contact-info .contact-details .socials {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

#contact .contact-info .contact-details .socials .social {
  background: #ffffff;
  border-radius: 50%;
  width: 5rem;
  height: 5rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-right: 2rem;
}

#contact .contact-info .contact-details .socials .social a {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

#contact .contact-info .contact-details .socials .social a svg {
  width: 3rem;
  height: 3rem;
  fill: #08484A;
}

#contact .contact-info .map {
  height: 50%;
}

#contact .contact-info .map iframe {
  width: 100%;
  height: 100%;
}

footer {
  margin-top: 5rem;
  width: 100%;
  background: #08484A;
  color: #ffffff;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -ms-flex-pack: distribute;
      justify-content: space-around;
  padding: 0rem 10rem;
}

footer p {
  padding: 1rem;
}

footer p, footer a {
  font-size: 2rem;
  color: #ffffff;
}

footer svg {
  width: 2rem;
  fill: #ffffff;
}

.cookies {
  position: fixed;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  justify-self: center;
  bottom: 0;
  right: 0;
  background: rgba(255, 255, 255, 0.8);
  padding: 2rem;
  padding-bottom: 0;
  width: 42.5rem;
  -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
          box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
  z-index: 4;
}

.cookies p {
  font-size: 1.6rem;
}

.cookies a {
  color: #08484A;
  font-weight: bold;
}

.cookies .row {
  width: 50%;
  margin: 2rem;
}

.cookies .row .btn-g {
  font-size: 1.8rem;
  margin: 0rem 2rem;
  color: #ffffff;
  background: #08484A;
  padding: 0.7rem 2.5rem;
  -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
          box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  text-shadow: 1px 1px 1px #000000;
  font-weight: 400;
  -webkit-transition: ease 0.3s all;
  transition: ease 0.3s all;
}

.cookies .row .btn-g:hover {
  -webkit-transform: scale(1.1);
          transform: scale(1.1);
}

.cookies .row .btn-b {
  font-size: 1.8rem;
  margin: 0rem 2rem;
  color: #ffffff;
  background: #333;
  padding: 0.7rem 2.5rem;
  -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
          box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  text-shadow: 1px 1px 1px #000000;
  font-weight: 400;
}

.cookies .row .btn-b:hover {
  -webkit-transform: scale(1.1);
          transform: scale(1.1);
}

#rules {
  width: 100%;
  min-height: 100dvh;
  padding: 10rem;
}

#rules h1 {
  font-size: 5rem;
  font-family: "Jost", sans-serif;
  font-weight: 700;
  text-align: center;
  margin: 5rem 0;
}

#rules h2 {
  font-size: 3.5rem;
  margin-bottom: 1rem;
  font-weight: 400;
}

#rules p {
  font-size: 1.8rem;
  margin-bottom: 3rem;
}

.pagination {
  margin: 3rem 0;
}

.pagination a {
  font-size: 2rem;
  margin: 0 0.3rem;
}

.pagination .active-page {
  font-weight: bold;
  color: #08484A;
}

@media (min-width: 1921px) {
  html {
    font-size: 14px;
  }
}

@media (max-width: 1440px) {
  html {
    font-size: 9px;
  }
  #about .about-text {
    max-width: 100%;
  }
  #about .about-text p {
    max-width: 80%;
  }
  #references .reference-text {
    max-width: 100%;
  }
  #references .reference-text p {
    max-width: 80%;
  }
}

@media (max-width: 1366px) {
  html {
    font-size: 8px;
  }
}

@media (max-width: 1024px) {
  html {
    font-size: 7.5px;
  }
  #references .refrence-gallery {
    -ms-grid-columns: 1fr 1fr 1fr;
        grid-template-columns: 1fr 1fr 1fr;
  }
  #references .refrence-gallery a {
    margin: 2rem;
  }
}

@media (max-width: 1000px) {
  html {
    font-size: 7.5px;
  }
  #toggle {
    width: 100%;
    position: fixed;
    z-index: 4;
    top: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    padding: 1.5rem 5rem;
    background-color: #333;
    -webkit-transition: background-color 0.3s;
    transition: background-color 0.3s;
    -webkit-box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.5);
            box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.5);
    border-bottom: 2px solid #ffffff;
  }
  #toggle .logo {
    width: 20rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
  #toggle .logo img {
    width: 100%;
    height: 100%;
  }
  #toggle svg {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    width: 4.5rem;
    height: 4.5rem;
    cursor: pointer;
  }
  header {
    position: fixed;
    top: 0;
    right: 0;
    width: 375px;
    height: 100vh;
    background-color: #333 !important;
    padding: 10rem 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    border-left: 2px solid #ffffff;
  }
  header .logo {
    display: none;
  }
  header nav ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
  header nav ul li {
    text-align: center;
    margin: 1.5rem 0;
  }
  header nav ul li a {
    font-size: 3rem;
  }
  .active-menu {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    -webkit-transition: ease 0.3s all;
    transition: ease 0.3s all;
  }
  .not-active-menu {
    -webkit-transform: translateX(425px);
            transform: translateX(425px);
    -webkit-transition: ease 0.3s all;
    transition: ease 0.3s all;
  }
  main .main-content {
    padding: 5rem;
  }
  #about {
    padding: 5rem;
  }
  #about .about-text p {
    max-width: 90%;
  }
  #about .about-steps {
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }
  #about .about-steps .step {
    margin: 3rem;
  }
  #references {
    padding: 5rem;
  }
  #references .references-text p {
    max-width: 90%;
  }
  #services {
    padding: 5rem;
  }
  #contact {
    padding: 5rem;
    padding-top: 0;
  }
  footer {
    padding: 0 5rem;
  }
  #rules {
    padding: 8rem 5rem;
  }
  #rules h1 {
    font-size: 5rem;
  }
}

@media (max-width: 768px) {
  #references .refrence-gallery {
    -ms-grid-columns: 1fr 1fr;
        grid-template-columns: 1fr 1fr;
  }
  #references .refrence-gallery a {
    margin: 1.5rem;
  }
  #contact .contact-form {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
  #contact .contact-form .contact-info .map {
    min-height: 30rem;
  }
  #contact .contact-form .contact-info .map iframe {
    min-height: 30rem;
  }
  footer {
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }
}

@media (max-width: 425px) {
  .cookies {
    width: 100%;
  }
  #toggle {
    padding: 1.5rem 3rem;
  }
  main .main-content {
    padding: 3rem;
  }
  main .main-content .main-contact {
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }
  #about {
    padding: 3rem;
  }
  #about .about-text h2 {
    font-size: 4.5rem;
  }
  #about .about-text h3 {
    font-size: 3rem;
  }
  #about .about-text p {
    max-width: 100%;
  }
  #about .about-steps {
    margin-top: 1rem;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }
  #about .about-steps .step {
    margin: 2rem;
  }
  #about .about-steps .step .step-img {
    width: 15rem;
    height: 15rem;
  }
  #about .about-steps .step .step-img img {
    width: 9rem;
    height: 9rem;
  }
  #services {
    padding: 3rem;
  }
  #references {
    padding: 3rem;
  }
  #references .reference-text h2 {
    font-size: 4.5rem;
  }
  #references .reference-text p {
    max-width: 100%;
  }
  #references .refrence-gallery {
    -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
  }
  #references .refrence-gallery a {
    margin: 1.5rem;
  }
  #contact {
    padding: 3rem;
    padding-top: 0;
  }
  #contact .contact-form form .row {
    width: 100%;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
  #contact .contact-form form .row input, #contact .contact-form form .row textarea {
    width: 100%;
    margin: 1.5rem 0;
  }
  footer {
    padding: 1rem 3rem;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
  footer p {
    padding: 0.7rem;
  }
  #rules {
    padding: 8rem 3rem;
    padding-bottom: 3rem;
  }
  #rules h1 {
    font-size: 4rem;
    margin-bottom: 3rem;
  }
  #rules h2 {
    font-size: 3rem;
  }
}

@media (max-width: 375px) {
  header {
    width: 100%;
  }
  .active-menu {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    -webkit-transition: ease 0.3s all;
    transition: ease 0.3s all;
  }
  .not-active-menu {
    -webkit-transform: translateX(375px);
            transform: translateX(375px);
    -webkit-transition: ease 0.3s all;
    transition: ease 0.3s all;
  }
}

@media (max-width: 375px) {
  html {
    font-size: 7px;
  }
}
